AWS IoT Device SDK C++ v2: Aws::Iotjobs::DescribeJobExecutionResponse Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotjobs::DescribeJobExecutionResponse Class Referencefinal

`#include <DescribeJobExecutionResponse.h>`

## Public Member Functions
| DescribeJobExecutionResponse ()=default
| DescribeJobExecutionResponse (const Crt::JsonView &doc)
DescribeJobExecutionResponse & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Iotjobs::JobExecutionData > | Execution
Aws::Crt::Optional< Aws::Crt::String > | ClientToken
Aws::Crt::Optional< Aws::Crt::DateTime > | Timestamp

## Detailed Description

Response payload to a DescribeJobExecution request.

## Constructor & Destructor Documentation

## ◆ DescribeJobExecutionResponse() [1/2]

Aws::Iotjobs::DescribeJobExecutionResponse::DescribeJobExecutionResponse | ( |  | ) |
| default

## ◆ DescribeJobExecutionResponse() [2/2]

Aws::Iotjobs::DescribeJobExecutionResponse::DescribeJobExecutionResponse | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

DescribeJobExecutionResponse & Aws::Iotjobs::DescribeJobExecutionResponse::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotjobs::DescribeJobExecutionResponse::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::DescribeJobExecutionResponse::ClientToken

A client token used to correlate requests and responses.

## ◆ Execution

Aws::Crt::Optional<Aws::Iotjobs::JobExecutionData> Aws::Iotjobs::DescribeJobExecutionResponse::Execution

Contains data about a job execution.

## ◆ Timestamp

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotjobs::DescribeJobExecutionResponse::Timestamp

The time when the message was sent.

The documentation for this class was generated from the following files:

- jobs/include/aws/iotjobs/DescribeJobExecutionResponse.h
- jobs/source/DescribeJobExecutionResponse.cpp